6.0.0-git
2019-03-23

[#9245] MIME type of application/octet-stream attachments is no longer guessed
Summary MIME type of application/octet-stream attachments is no longer guessed
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2010-09-09 (3117 days ago)
Due
Updated 2010-09-13 (3113 days ago)
Assigned 2010-09-12 (3114 days ago)
Resolved 2010-09-13 (3113 days ago)
Milestone
Patch No

History
2010-09-13 07:09:49 Michael Slusarz State ⇒ Resolved
 
2010-09-13 07:09:06 Git Commit Comment #5 Reply to this comment
2010-09-12 16:30:36 Jan Schneider Comment #4
State ⇒ Assigned
Reply to this comment
Chuck's commit c29f138bb9e84f6a73b85e3f1dd5cd451b2ddf1b fixed the mime 
type detection, but those files are still not linked for viewing 
through Horde_Mime_Viewer.
2010-09-11 00:07:09 Jan Schneider Comment #3 Reply to this comment
I meant for message attachments. I have the same message in both IMP 4 
and 5. It has 3 attachments (1 PDF, 2 iCalendar) as 
application/octet-stream but they are only displayed as PDF and 
iCalendar attachments in IMP 4.
2010-09-10 17:31:00 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
For compose attachments?  Yes we do, in the compose_attach hook.

For message attachments?  Yes we do, in IMP_Contents::getSummary().   
Although we only do filename guessing - it is too expensive for us to 
have to download the entire contents of a potentially very large file 
from the IMAP server to do a fileinfo-type guess.  Although I guess we 
could now leverage the power of the IMAP server and only download a 
certain portion of the file (i.e. first 1000 bytes) to do fileinfo 
guessing, although I don't know enough about the heuristics to know if 
it only does scanning at the beginning of data.
2010-09-09 22:46:54 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ MIME type of application/octet-stream attachments is no longer guessed
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
.

Saved Queries